#!/bin/sh

############# BEGIN MODIFICATION TO MATCH HOST BUILD ENVIRONMENT ############# 
# Device to be built
export DEVICE=k2h

# ARM cross tool executable path
if [ -z "$CROSS_TOOL_INSTALL_PATH" ]; then
export CROSS_TOOL_INSTALL_PATH=/data/hdcustom/linaro/gcc-linaro-arm-linux-gnueabihf-4.7-2013.03-20130313_linux/bin
fi
echo "CROSS_TOOL_INSTALL_PATH set to $CROSS_TOOL_INSTALL_PATH"

# ARM cross tool prefix 
export CROSS_TOOL_PRFX=arm-linux-gnueabihf-

# DEBUG FLAG: Set this to blank for a non-debug build 
#export DEBUG_FLAG=-g

export LINUX_DEVKIT_INSTALL_PATH=
# Linux DEVKIT path: Set this to linux devkit path install location from MCSDK
# example as below
# export LINUX_DEVKIT_INSTALL_PATH=$HOME/MCSDK_3.0/May-20/mcsdk_linux_3_00_00_11/linux-devkit/sysroots/armv7ahf-vfp-neon-oe-linux-gnueabi

if [ ! -z "$LINUX_DEVKIT_INSTALL_PATH" ]; then
echo LINUX_DEVKIT_INSTALL_PATH is set
else
echo LINUX_DEVKIT_INSTALL_PATH is not set
fi

# Default Output directory for generated binaries and objects
export ARMV7LIBDIR=$PWD/../lib/armv7
#Modify to Linux Dev Kit Lib Path
if [ ! -z "$LINUX_DEVKIT_INSTALL_PATH" ]; then
export ARMV7LIBDIR=$LINUX_DEVKIT_INSTALL_PATH/usr/lib
fi

# PDK install path
#Modify to Linux Dev Kit include Path
export PDK_INSTALL_PATH=$PWD
if [ ! -z "$LINUX_DEVKIT_INSTALL_PATH" ]; then
export PDK_INSTALL_PATH=$LINUX_DEVKIT_INSTALL_PATH/usr/include
fi

#Modify HPLIB_INSTALL_PATH to Linux Dev Kit include Path
export HPLIB_INSTALL_PATH=$HOME/ti/mcsdk_3_00_00_11/transport_net_lib_1_0_0_6/packages
if [ ! -z "$LINUX_DEVKIT_INSTALL_PATH" ]; then
export HPLIB_INSTALL_PATH=$LINUX_DEVKIT_INSTALL_PATH/usr/include
fi

#Modify SA_INSTALL_PATH to Linux Dev Kit include Path
export SA_INSTALL_PATH=$HOME/ti/mcsdk_3_00_00_11/salld_keystone2_02_00_00_06/packages
if [ ! -z "$LINUX_DEVKIT_INSTALL_PATH" ]; then
export SA_INSTALL_PATH=$LINUX_DEVKIT_INSTALL_PATH/usr/include
fi
echo "SA_INSTALL_PATH set to $SA_INSTALL_PATH"

#SA LLD Library path
# Modify to match the actual armv7 sa lld library build path
export ARMV7SALIBDIR=$SA_INSTALL_PATH/ti/drv/sa/lib/armv7

# HPLIB library path
# Modify to match the actual armv7 sa lld library build path
export ARMV7HPLIBDIR=$HPLIB_INSTALL_PATH/ti/runtime/hplib/lib/armv7

#Modify IPC_DEVKIT_INSTALL_PATH to Linux Devkit include path (or standalone ipc install path)
export IPC_DEVKIT_INSTALL_PATH=$HOME/ipc_install_path
if [ ! -z "$LINUX_DEVKIT_INSTALL_PATH" ]; then
IPC_DEVKIT_INSTALL_PATH=$LINUX_DEVKIT_INSTALL_PATH/usr
fi
echo IPC_DEVKIT_INSTALL_PATH is set to $IPC_DEVKIT_INSTALL_PATH
############# END MODIFICATION TO MATCH HOST BUILD ENVIRONMENT ############# 

export ARMV7BINDIR=$PWD/../bin/$DEVICE/armv7
export ARMV7OBJDIR=$PWD/../obj/$DEVICE/armv7

export NWAL_INSTALL_PATH=$PDK_INSTALL_PATH
export PKTLIB_INSTALL_PATH=$PDK_INSTALL_PATH

# Export CORE type
export CORE=armv7

export QMSS_SRC_DIR=$PWD/ti/drv/qmss
export CPPI_SRC_DIR=$PWD/ti/drv/cppi
export PA_SRC_DIR=$PWD/ti/drv/pa
export NWAL_SRC_DIR=$PWD/ti/drv/nwal
export RM_SRC_DIR=$PWD/ti/drv/rm
export HYPLNK_SRC_DIR=$PWD/ti/drv/hyplnk

if [ -z "$HPLIB_INSTALL_PATH" ]; then
echo "WARNING HPLIB_INSTALL_PATH environment not being set. Required for building NWAL Test"
echo "PDK Libraries can be still built using make lib"
fi
echo "Build Environment configured. Run make to build targets "
