/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
* All Rights Reserved
*********************************************************************
* file: cslr_rm_xcdma_hdr.h
*
* Brief: This file contains the Register Description for rm_xcdma_hdr
*
*********************************************************************/
#ifndef _CSLR_BCP_RM_XCDMA_HDR_H_
#define _CSLR_BCP_RM_XCDMA_HDR_H_

#include <ti/csl/cslr.h>

#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 WORD0; /* RM xCDMA local header */
    volatile Uint32 WORD1; /* Sys0 Parameters 0 */
    volatile Uint32 WORD2; /* Sys0 Parameters 1 */
    volatile Uint32 WORD3; /* Sys0 Parameters 2 */
    volatile Uint32 WORD4; /* Sys0 Parameters 3 */
    volatile Uint32 WORD5; /* Sys0 Parameters 4 */
    volatile Uint32 WORD6; /* Sys0 Parameters 5 */
    volatile Uint32 WORD7; /* p0 Parity1 Parameters 0 */
    volatile Uint32 WORD8; /* p0 Parity1 Parameters 1 */
    volatile Uint32 WORD9; /* p0 Parity1 Parameters 2 */
    volatile Uint32 WORD10; /* p0 Parity1 Parameters 2 */
    volatile Uint32 WORD11; /* p0 Parity1 Parameters 3 */
    volatile Uint32 WORD12; /* p0 Parity1 Parameters 4 */
    volatile Uint32 WORD13; /* p0 Parity1 Parameters 5 */
    volatile Uint32 WORD14; /* p0 Parity2 Parameters 0 */
    volatile Uint32 WORD15; /* p0 Parity2 Parameters 1 */
    volatile Uint32 WORD16; /* p0 Parity2 Parameters 2 */
    volatile Uint32 WORD17; /* p0 Parity2 Parameters 3 */
    volatile Uint32 WORD18; /* p0 Parity2 Parameters 4 */
    volatile Uint32 WORD19; /* p0 Parity2 Parameters 5 */
    volatile Uint32 WORD20; /* p0 Parity2 Parameters 6 */
    volatile Uint32 WORD21; /* Sys1 Parameters 0 */
    volatile Uint32 WORD22; /* Sys1 Parameters 1 */
    volatile Uint32 WORD23; /* Sys1 Parameters 2 */
    volatile Uint32 WORD24; /* Sys2 Parameters 0 */
    volatile Uint32 WORD25; /* Sys2 Parameters 1 */
    volatile Uint32 WORD26; /* Sys2 Parameters 2 */
    volatile Uint32 WORD27; /* Sys3 Parameters 0 */
    volatile Uint32 WORD28; /* Sys3 Parameters 1 */
    volatile Uint32 WORD29; /* Sys3 Parameters 2 */
    volatile Uint32 WORD30; /* Sys4 Parameters 0 */
    volatile Uint32 WORD31; /* Sys4 Parameters 1 */
    volatile Uint32 WORD32; /* Sys4 Parameters 2 */
    volatile Uint32 WORD33; /* Sys5 Parameters 0 */
    volatile Uint32 WORD34; /* Sys5 Parameters 1 */
    volatile Uint32 WORD35; /* Sys5 Parameters 2 */
    volatile Uint32 WORD36; /* p1 Parity1 Parameters 0 */
    volatile Uint32 WORD37; /* p1 Parity1 Parameters 1 */
    volatile Uint32 WORD38; /* p1 Parity2 Parameters 0 */
    volatile Uint32 WORD39; /* p1 Parity2 Parameters 1 */
} CSL_Rm_xcdma_hdrRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* Word 0 */


#define CSL_RM_XCDMA_HDR_WORD0_HALF_RATE_MASK (0x00020000u)
#define CSL_RM_XCDMA_HDR_WORD0_HALF_RATE_SHIFT (0x00000011u)
#define CSL_RM_XCDMA_HDR_WORD0_HALF_RATE_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD0_INPUT_ORDER_MASK (0x00010000u)
#define CSL_RM_XCDMA_HDR_WORD0_INPUT_ORDER_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD0_INPUT_ORDER_RESETVAL (0x00000000u)


#define CSL_RM_XCDMA_HDR_WORD0_MOD_ID_MASK (0x00000F00u)
#define CSL_RM_XCDMA_HDR_WORD0_MOD_ID_SHIFT (0x00000008u)
#define CSL_RM_XCDMA_HDR_WORD0_MOD_ID_RESETVAL (0x00000000u)


#define CSL_RM_XCDMA_HDR_WORD0_LOCAL_HDR_LEN_MASK (0x0000003Fu)
#define CSL_RM_XCDMA_HDR_WORD0_LOCAL_HDR_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD0_LOCAL_HDR_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD0_RESETVAL  (0x00000000u)

/* Word 1 */


#define CSL_RM_XCDMA_HDR_WORD1_COLLECT_ROWS_MASK (0x07000000u)
#define CSL_RM_XCDMA_HDR_WORD1_COLLECT_ROWS_SHIFT (0x00000018u)
#define CSL_RM_XCDMA_HDR_WORD1_COLLECT_ROWS_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD1_COLLECT_COLS_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD1_COLLECT_COLS_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD1_COLLECT_COLS_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD1_RESETVAL  (0x00000000u)

/* Word 2 */


#define CSL_RM_XCDMA_HDR_WORD2_NUM_SCRAM_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD2_NUM_SCRAM_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD2_NUM_SCRAM_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD2_RESETVAL  (0x00000000u)

/* Word 3 */


#define CSL_RM_XCDMA_HDR_WORD3_SYS0_LEN_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD3_SYS0_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD3_SYS0_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD3_RESETVAL  (0x00000000u)

/* Word 4 */


#define CSL_RM_XCDMA_HDR_WORD4_SYS0_INIT2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD4_SYS0_INIT2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD4_SYS0_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD4_RESETVAL  (0x00000000u)

/* Word 5 */


#define CSL_RM_XCDMA_HDR_WORD5_SYS0_MINUS2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD5_SYS0_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD5_SYS0_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD5_RESETVAL  (0x00000000u)

/* Word 6 */


#define CSL_RM_XCDMA_HDR_WORD6_SYS0_TURBO_MASK (0x60000000u)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_TURBO_SHIFT (0x0000001Du)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_TURBO_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD6_SYS0_PUNCTURE_MASK (0x10000000u)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_PUNCTURE_SHIFT (0x0000001Cu)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_PUNCTURE_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD6_SYS0_BETA_MASK (0x0C000000u)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_BETA_SHIFT (0x0000001Au)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_BETA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD6_SYS0_ALPHA_MASK (0x03000000u)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_ALPHA_SHIFT (0x00000018u)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_ALPHA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD6_SYS0_PLUS2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_PLUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD6_SYS0_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD6_RESETVAL  (0x00000000u)

/* Word 7 */


#define CSL_RM_XCDMA_HDR_WORD7_P0_PAR1_LEN_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD7_P0_PAR1_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD7_P0_PAR1_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD7_RESETVAL  (0x00000000u)

/* Word 8 */


#define CSL_RM_XCDMA_HDR_WORD8_P0_PAR1_INIT1_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD8_P0_PAR1_INIT1_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD8_P0_PAR1_INIT1_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD8_RESETVAL  (0x00000000u)

/* Word 9 */


#define CSL_RM_XCDMA_HDR_WORD9_P0_PAR1_MINUS1_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD9_P0_PAR1_MINUS1_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD9_P0_PAR1_MINUS1_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD9_RESETVAL  (0x00000000u)

/* Word 10 */


#define CSL_RM_XCDMA_HDR_WORD10_P0_PAR1_PLUS1_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD10_P0_PAR1_PLUS1_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD10_P0_PAR1_PLUS1_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD10_RESETVAL (0x00000000u)

/* Word 11 */


#define CSL_RM_XCDMA_HDR_WORD11_P0_PAR1_INIT2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD11_P0_PAR1_INIT2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD11_P0_PAR1_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD11_RESETVAL (0x00000000u)

/* Word 12 */


#define CSL_RM_XCDMA_HDR_WORD12_P0_PAR1_MINUS2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD12_P0_PAR1_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD12_P0_PAR1_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD12_RESETVAL (0x00000000u)

/* Word 13 */


#define CSL_RM_XCDMA_HDR_WORD13_P0_PAR1_PLUS2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD13_P0_PAR1_PLUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD13_P0_PAR1_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD13_RESETVAL (0x00000000u)

/* Word 14 */


#define CSL_RM_XCDMA_HDR_WORD14_P0_PAR2_LEN_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD14_P0_PAR2_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD14_P0_PAR2_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD14_RESETVAL (0x00000000u)

/* Word 15 */


#define CSL_RM_XCDMA_HDR_WORD15_P0_PAR2_INIT1_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD15_P0_PAR2_INIT1_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD15_P0_PAR2_INIT1_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD15_RESETVAL (0x00000000u)

/* Word 16 */


#define CSL_RM_XCDMA_HDR_WORD16_P0_PAR2_MINUS1_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD16_P0_PAR2_MINUS1_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD16_P0_PAR2_MINUS1_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD16_RESETVAL (0x00000000u)

/* Word 17 */


#define CSL_RM_XCDMA_HDR_WORD17_P0_PAR2_PLUS1_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD17_P0_PAR2_PLUS1_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD17_P0_PAR2_PLUS1_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD17_RESETVAL (0x00000000u)

/* Word 18 */


#define CSL_RM_XCDMA_HDR_WORD18_P0_PAR2_INIT2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD18_P0_PAR2_INIT2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD18_P0_PAR2_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD18_RESETVAL (0x00000000u)

/* Word 19 */


#define CSL_RM_XCDMA_HDR_WORD19_P0_PAR2_MINUS2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD19_P0_PAR2_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD19_P0_PAR2_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD19_RESETVAL (0x00000000u)

/* Word 20 */


#define CSL_RM_XCDMA_HDR_WORD20_P0_PAR2_PLUS2_MASK (0x00FFFFFFu)
#define CSL_RM_XCDMA_HDR_WORD20_P0_PAR2_PLUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD20_P0_PAR2_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD20_RESETVAL (0x00000000u)

/* Word 21 */

#define CSL_RM_XCDMA_HDR_WORD21_SYS1_INIT2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD21_SYS1_INIT2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD21_SYS1_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD21_SYS1_LEN_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD21_SYS1_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD21_SYS1_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD21_RESETVAL (0x00000000u)

/* Word 22 */

#define CSL_RM_XCDMA_HDR_WORD22_SYS1_PLUS2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD22_SYS1_PLUS2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD22_SYS1_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD22_SYS1_MINUS2_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD22_SYS1_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD22_SYS1_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD22_RESETVAL (0x00000000u)

/* Word 23 */


#define CSL_RM_XCDMA_HDR_WORD23_SYS1_TURBO_MASK (0x00000060u)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_TURBO_SHIFT (0x00000005u)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_TURBO_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD23_SYS1_PUNCTURE_MASK (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_PUNCTURE_SHIFT (0x00000004u)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_PUNCTURE_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD23_SYS1_BETA_MASK (0x0000000Cu)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_BETA_SHIFT (0x00000002u)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_BETA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD23_SYS1_ALPHA_MASK (0x00000003u)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_ALPHA_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD23_SYS1_ALPHA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD23_RESETVAL (0x00000000u)

/* Word 24 */

#define CSL_RM_XCDMA_HDR_WORD24_SYS2_INIT2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD24_SYS2_INIT2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD24_SYS2_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD24_SYS2_LEN_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD24_SYS2_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD24_SYS2_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD24_RESETVAL (0x00000000u)

/* Word 25 */

#define CSL_RM_XCDMA_HDR_WORD25_SYS2_PLUS2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD25_SYS2_PLUS2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD25_SYS2_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD25_SYS2_MINUS2_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD25_SYS2_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD25_SYS2_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD25_RESETVAL (0x00000000u)

/* Word 26 */


#define CSL_RM_XCDMA_HDR_WORD26_SYS2_TURBO_MASK (0x00000060u)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_TURBO_SHIFT (0x00000005u)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_TURBO_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD26_SYS2_PUNCTURE_MASK (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_PUNCTURE_SHIFT (0x00000004u)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_PUNCTURE_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD26_SYS2_BETA_MASK (0x0000000Cu)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_BETA_SHIFT (0x00000002u)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_BETA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD26_SYS2_ALPHA_MASK (0x00000003u)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_ALPHA_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD26_SYS2_ALPHA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD26_RESETVAL (0x00000000u)

/* Word 27 */

#define CSL_RM_XCDMA_HDR_WORD27_SYS3_INIT2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD27_SYS3_INIT2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD27_SYS3_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD27_SYS3_LEN_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD27_SYS3_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD27_SYS3_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD27_RESETVAL (0x00000000u)

/* Word 28 */

#define CSL_RM_XCDMA_HDR_WORD28_SYS3_PLUS2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD28_SYS3_PLUS2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD28_SYS3_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD28_SYS3_MINUS2_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD28_SYS3_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD28_SYS3_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD28_RESETVAL (0x00000000u)

/* Word 29 */


#define CSL_RM_XCDMA_HDR_WORD29_SYS3_TURBO_MASK (0x00000060u)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_TURBO_SHIFT (0x00000005u)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_TURBO_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD29_SYS3_PUNCTURE_MASK (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_PUNCTURE_SHIFT (0x00000004u)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_PUNCTURE_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD29_SYS3_BETA_MASK (0x0000000Cu)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_BETA_SHIFT (0x00000002u)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_BETA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD29_SYS3_ALPHA_MASK (0x00000003u)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_ALPHA_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD29_SYS3_ALPHA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD29_RESETVAL (0x00000000u)

/* Word 30 */

#define CSL_RM_XCDMA_HDR_WORD30_SYS4_INIT2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD30_SYS4_INIT2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD30_SYS4_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD30_SYS4_LEN_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD30_SYS4_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD30_SYS4_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD30_RESETVAL (0x00000000u)

/* Word 31 */

#define CSL_RM_XCDMA_HDR_WORD31_SYS4_PLUS2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD31_SYS4_PLUS2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD31_SYS4_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD31_SYS4_MINUS2_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD31_SYS4_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD31_SYS4_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD31_RESETVAL (0x00000000u)

/* Word 32 */


#define CSL_RM_XCDMA_HDR_WORD32_SYS4_TURBO_MASK (0x00000060u)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_TURBO_SHIFT (0x00000005u)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_TURBO_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD32_SYS4_PUNCTURE_MASK (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_PUNCTURE_SHIFT (0x00000004u)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_PUNCTURE_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD32_SYS4_BETA_MASK (0x0000000Cu)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_BETA_SHIFT (0x00000002u)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_BETA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD32_SYS4_ALPHA_MASK (0x00000003u)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_ALPHA_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD32_SYS4_ALPHA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD32_RESETVAL (0x00000000u)

/* Word 33 */

#define CSL_RM_XCDMA_HDR_WORD33_SYS5_INIT2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD33_SYS5_INIT2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD33_SYS5_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD33_SYS5_LEN_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD33_SYS5_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD33_SYS5_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD33_RESETVAL (0x00000000u)

/* Word 34 */

#define CSL_RM_XCDMA_HDR_WORD34_SYS5_PLUS2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD34_SYS5_PLUS2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD34_SYS5_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD34_SYS5_MINUS2_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD34_SYS5_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD34_SYS5_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD34_RESETVAL (0x00000000u)

/* Word 35 */


#define CSL_RM_XCDMA_HDR_WORD35_SYS5_TURBO_MASK (0x00000060u)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_TURBO_SHIFT (0x00000005u)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_TURBO_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD35_SYS5_PUNCTURE_MASK (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_PUNCTURE_SHIFT (0x00000004u)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_PUNCTURE_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD35_SYS5_BETA_MASK (0x0000000Cu)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_BETA_SHIFT (0x00000002u)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_BETA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD35_SYS5_ALPHA_MASK (0x00000003u)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_ALPHA_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD35_SYS5_ALPHA_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD35_RESETVAL (0x00000000u)

/* Word 36 */

#define CSL_RM_XCDMA_HDR_WORD36_P1_PAR1_INIT2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD36_P1_PAR1_INIT2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD36_P1_PAR1_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD36_P1_PAR1_LEN_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD36_P1_PAR1_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD36_P1_PAR1_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD36_RESETVAL (0x00000000u)

/* Word 37 */

#define CSL_RM_XCDMA_HDR_WORD37_P1_PAR1_PLUS2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD37_P1_PAR1_PLUS2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD37_P1_PAR1_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD37_P1_PAR1_MINUS2_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD37_P1_PAR1_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD37_P1_PAR1_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD37_RESETVAL (0x00000000u)

/* Word 38 */

#define CSL_RM_XCDMA_HDR_WORD38_P1_PAR2_INIT2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD38_P1_PAR2_INIT2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD38_P1_PAR2_INIT2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD38_P1_PAR2_LEN_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD38_P1_PAR2_LEN_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD38_P1_PAR2_LEN_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD38_RESETVAL (0x00000000u)

/* Word 39 */

#define CSL_RM_XCDMA_HDR_WORD39_P1_PAR2_PLUS2_MASK (0xFFFF0000u)
#define CSL_RM_XCDMA_HDR_WORD39_P1_PAR2_PLUS2_SHIFT (0x00000010u)
#define CSL_RM_XCDMA_HDR_WORD39_P1_PAR2_PLUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD39_P1_PAR2_MINUS2_MASK (0x0000FFFFu)
#define CSL_RM_XCDMA_HDR_WORD39_P1_PAR2_MINUS2_SHIFT (0x00000000u)
#define CSL_RM_XCDMA_HDR_WORD39_P1_PAR2_MINUS2_RESETVAL (0x00000000u)

#define CSL_RM_XCDMA_HDR_WORD39_RESETVAL (0x00000000u)

#endif
