/******************************************************************************
 * FILE PURPOSE: NWAL Source module specification file.
 ******************************************************************************
 * FILE NAME: module.xs
 *
 * DESCRIPTION: 
 *  This file contains the module specification for the NWAL source directory.
 *
 * Copyright (C) 2009-2010, Texas Instruments, Inc.
 *****************************************************************************/

/* Load the library utility. */
var libUtility = xdc.loadCapsule ("../build/buildlib.xs");

/**************************************************************************
 * FUNCTION NAME : modBuild
 **************************************************************************
 * DESCRIPTION   :
 *  The function is used to build all the components of the NWAL library
 **************************************************************************/
function modBuild() 
{
    /* Add all the .c files to the release package. */
    var testFiles = libUtility.listAllFiles (".c", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the .h files to the release package. */
    var testFiles = libUtility.listAllFiles (".h", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the .cmd files to the release package. */
    var testFiles = libUtility.listAllFiles (".cmd", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];
    
    var socFamily = java.lang.System.getenv("SOC_FAMILY"); 
    if(socFamily == "KeyStone2")
    {
        /* Add all the .txt files to the release package. */        
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/unitTest/c66/bios/nwalUnitTestK2KTestProject.txt";        
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/unitTest/c66/bios/nwalUnitTestK2HTestProject.txt";
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/unitTest/c66/bios/nwalUnitTestSaK2KTestProject.txt"; 
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/unitTest/c66/bios/nwalUnitTestSaK2HTestProject.txt";     
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/pktRouterTest/c66/bios/nwalPktRouterArmMASTERK2KTestProject.txt";  
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/pktRouterTest/c66/bios/nwalPktRouterC66xMASTERK2KTestProject.txt";      
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/pktRouterTest/c66/bios/nwalPktRouterArmMASTERK2HTestProject.txt";  
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/pktRouterTest/c66/bios/nwalPktRouterC66xMASTERK2HTestProject.txt";  
        
    }
    else
    {
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/unitTest/c66/bios/nwalUnitTestK1TestProject.txt";
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/unitTest/c66/bios/nwalUnitTestSaK1TestProject.txt"; 
        Pkg.otherFiles[Pkg.otherFiles.length++] = "test/pktRouterTest/c66/bios/nwalPktRouterC66xMASTERk1TestProject.txt";
    }
    
    /* Add all the .cfg files to the release package. */
    var testFiles = libUtility.listAllFiles (".cfg", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the makefiles to the release package. */
    var testFiles = libUtility.listAllFiles ("makefile", "test");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];
    
}

