#ifndef _SAFW_H
#define _SAFW_H
/******************************************************************************
 * FILE PURPOSE: SASS Firmware Image Definitions for the SA LLD 
 ******************************************************************************
 * FILE NAME:   safw.h
 *
 * DESCRIPTION: Define SASS firmware image related constants and data structures.  
 *  The SASS contains two PDSPs wihich perform the protocl header processing. 
 *  There are two PDSP images provided by the module under the ti/drv/sa/fw directory:
 *  -Packet Header Processing 1 image: saphp1_bin.c for PDSP0
 *  -Packet Header Processing 2 image: saphp2_bin.c for PDSP1
 *
 * REVISION HISTORY:
 *
 *  Copyright (c) Texas Instruments Incorporated 2009-2011
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

/* Packet Header Processing 1 image */
extern const uint32_t Sa_php1[]; 
extern const int Sa_php1Size; 
/* Packet Header Processing 2 image */
extern const uint32_t Sa_php2[]; 
extern const int Sa_php2Size; 

#ifdef __cplusplus
}
#endif
  
#endif  /* _SAFW_H */
